
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Windows 2000系统 IIS安全构建指南 / iVAN</title>

    <meta name="description" content="Windows 2000系统 IIS安全构建指南 iis|window|安全 Win2000操作系统的一个主要特色就是将IIS融入其内核之中,并提供一些用来配置和维护软件的向导工具,使构建一个Internet网站轻松易得.但是,如果要创建一个安全可靠的Internet网站,实现&quot;地面部分&quot;-Win2K操作系统和&quot;空中部分&quot;-IIS的双重安全,还需要更加全面和深入的工作.本文就对这些稳固工作中的地面部分-Win2K操作系统进行讨论,旨在帮助管理员一步步地实施网站安全构建工作. 一.安全思想先行 所谓兵马未发 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Windows 2000系统 IIS安全构建指南</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>iis|window|安全</p>
<p>　　Win2000操作系统的一个主要特色就是将IIS融入其内核之中，并提供一些用来配置和维护软件的向导工具，使构建一个Internet网站轻松易得。但是，如果要创建一个安全可靠的Internet网站，实现“地面部分”－Win2K操作系统和“空中部分”－IIS的双重安全，还需要更加全面和深入的工作。本文就对这些稳固工作中的地面部分－Win2K操作系统进行讨论，旨在帮助管理员一步步地实施网站安全构建工作。</p>
<p><strong>　　一、安全思想先行</strong></p>
<p>　　所谓兵马未发，粮草先行，在安装和配置一个Internet服务器之前，首先要从思想上对安全工作有个全局认识，至少应该考虑好以下几个方面的内容：</p>
<p><strong>　　1、编制计划 <br /></strong><br />　　编制安装计划的过程本身就可以作为一篇论文深加论述，这里只做概要介绍。保护Internet服务器安全需要详尽的计划，这不是指在安装过程中弹出菜单时确定选择哪一个项目，而是要仔细确定系统的功能和目标，最终成为安装的路标、排除故障的向导、服务器安装及网络边界情况的基础文档。如果需要安装计划编制方面的基础性方针资料，可以参考　　RFC手册之2196项“站点安全手册”，地址是：http://www.faqs.org/rfcs/rfc2196.html。</p>
<p><strong>　　2、设计策略</strong></p>
<p>　　除了确定服务器将执行那些功能，还需要确定谁能访问服务器、在服务器上存储什么数据以及在出现各种情况时应该采取哪些措施。这就是策略的制定。实际上，策略定义了一个组织的服务器与接受它的服务和数据的Internet公众之间的交互作用细节。真正安全的站点必须具有适当的策略。关于策略的设计，同样请参考RFC手册之2196项“站点安全手册”。</p>
<p><strong>　　3、访问控制</strong></p>
<p>　　这方面是指对服务器的访问权，主要包括三类：</p>
<p>　　<strong>物理访问控制：</strong>指实际接触和操作服务器控制台的能力。如果攻击者取得了物理访问权，就可以绕过许多安全措施，整个安全计划将出现一个大大的漏洞！</p>
<p>　　<strong>系统访问控制：</strong>确定哪些组或个人账号对系统拥有何种权限，例如备份和恢复数据、向Web 服务器发布文档、管理账户或组。</p>
<p>　　<strong>网络访问控制：</strong>网络访问控制规定了内部网与Internet相互作用的权限，例如端口访问、数据读取、服务使用等等。不仅仅要考虑到外部的入侵行为，还要设想到内部的敌人攻击。为此，一般将服务器放于DMZ区域内。一个DMZ（Demilitarized Zone）就是一个孤立的网络，可以把不信任的系统放在那里。例如，我们希望任何人都能访问Web和Email服务器，所以它们就是不能信任的；将它们放在DMZ中特别关照，就可对来自内部和外部的访问都进行限制。</p>
<p><strong>　　二、Win2K安装时要重点考虑的安全配置信息 <br /></strong><br />　　安装Win2K时，直到配置网络协议时才需要考虑安全问题。对于一个Internet网站，配置网络协议时一定要关闭一个很大的安全漏洞：NetBIOS协议！就是说，在“本地连接属性”窗口中，只选中“Microsoft网络客户端”和“Internet协议（TCP/IP）”两项：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjE4NDUuanBn.jpg"></p>
<p>　　选中“Microsoft网络客户端”的原因在于NTLM (NT/LAN 管理器)安全支持供应（Security Support Provider）组件是嵌入在操作系统中的，如果没有这个组件，IIS将无法运行。</p>
<p>　　你可能要问了：“只配置这两个协议，需要其他的功能怎么办”？解决方法很简单：为服务器安装配置两个网卡，第一个用于Internet连接，其上只绑定那两个服务协议；第二个用于从本地网络访问服务器，根据需要添加其他的服务协议，例如“Microsoft网络的文件和打印机共享”等：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjI2NjUuanBn.jpg"></p>
<p>　　接下来，我们要设置TCP/Ip协议的属性内容。除了确定网卡IP地址以及默认网关地址外，还需要点击“高级”按钮进入“WINS”选项卡设置“禁止TCP/IP上的NetBIOS”，以阻止网卡向Internet发送和接收NetBIOS信息：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjI1NDYuanBn.jpg"></p>
<p>　　NetBIOS是简单友好的机器名表达法，例如\\servername\shareresource。如果打开这个功能，攻击者就可以使用端口扫描器等软件测试出具有端口137 和139监听的机器，从而进一步使用其NetBIOS 名尝试获取系统资源的访问权。</p>
<p><strong>　　三、Win2K安装后要重点考虑的安全配置信息 <br /></strong><br />　　操作系统安装完毕后，建议执行如下安全配置：</p>
<p><strong>　　1、安装微软高级加密包（Microsoft High Encryption Pack），将服务器升级为128位加密。</strong></p>
<p>　　默认状态下，服务器软件的加密状态处于较低级别，我们必须手工将其配置为128位加密。而且，这项工作应该在创建帐号和组之前进行，这样就可以保证在服务器上创建的所有项目都是128位加密级别的。</p>
<p>　　<strong>2、安装最新的SP软件包和Hotfixes</strong></p>
<p>　　微软的产品是老裁缝做的，不打补丁不漂亮的，所以管理员们要经常访问以下地址看看是否又有新补丁面世：http://www.microsoft.com/windows2000/downloads/default.asp</p>
<p>　　这个地址包含了大量关于Win2K的信息，对日常管理Win2K服务器非常有参考价值。关于HotFixes有一点需要注意：只在系统需要的时候才安装相应HotFix。因为，并不是每个服务器都需要所有的HotFix，其中有一些hotfix修复的漏洞只存在于某些特定配置中。</p>
<p>　<strong>　3、对系统服务的启动方式重新进行规划 </strong></p>
<p>　　默认状态下，许多服务都随系统启动而启动。但由于有些服务因为启动帐号身份的权限过大，有可能埋下安全隐患地雷，因此必须对所有服务的启动方式进行重新规划。规划的原则应该是：除非绝对必要，关闭该服务。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjI4NjUuanBn.jpg"></p>
<p>以下是我们认为应该处于“自动”启动状态的基本服务：</p>
<p>　　<strong>DNS Client：</strong>如果服务器需要主动与其它服务器进行通信，就需要这个服务。许多Web服务器仅仅是对请求进行应答而自身并不发出请求，这时就不需要DNS Client了。</p>
<p>　　<strong>Event Log：</strong>事件日志，用于记录程序和 Windows 发送的事件消息。事件日志包含对诊断问题有所帮助的信息，可以在“事件查看器”中查看报告。</p>
<p>　　<strong>Logical Disk Manager：</strong>逻辑磁盘管理器监视狗服务，用于管理本地磁盘驱动器和可移动设备。 </p>
<p>　　<strong>Network Connections：</strong>管理“网络和拨号连接”文件夹中对象，在其中可以查看局域网和远程连接。</p>
<p>　　<strong>Protected Storage：</strong>提供对敏感数据(如私钥)的保护性存储，以便防止未授权的服务、过程或用户对其的非法访问。</p>
<p>　　<strong>Remote Procedure Call (RPC)：</strong>远程过程调用服务，用于在一个系统上使用程序执行远程系统上的指令或程序。</p>
<p>　　<strong>Security Accounts Manager (SAM)：</strong>安全帐号管理服务，用于维护本地用户帐户的安全信息。</p>
<p>　　<strong>Windows Management Instrumentation(WMI)：</strong>Windows管理器，提供系统管理信息，如果没有它，就没有可访问的管理控制台来执行系统管理。</p>
<p>　　<strong>Windows Management Instrumentation Driver Extensions：</strong>Windows管理器驱动器扩展，也是MMC所要求的，用于与驱动程序间交换系统管理信息。</p>
<p>　　以下是我们认为应该处于“手动”启动状态的基本服务：</p>
<p>　　<strong>Logical Disk Manager Administrative Service：</strong>逻辑硬盘管理器管理服务，是磁盘管理请求的系统管理服务。 </p>
<p>　　<strong>World Wide Web Publishing Service：</strong>WWW发布服务,用于向Web 站点设置的特定端口（通常是80）发布Web内容。</p>
<p><strong>　　4、强化SAM数据库的保护 <br /></strong><br />　　SAM数据库就是系统账户数据库，其中的内容属于一等机密，再怎么保护也不为过。默认状态下，SAM 是用本地存储的启动关键字来加密的，这个关键字中包含一个杂乱信息代码，它在启动过程中被处理进而将账户数据库解密并存储在内存中，从而被系统访问。加密关键字的默认存储地点可以用Win2K命令行工具syskey.exe来修改：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjIyMzAuanBn.jpg"></p>
<p>　　因此，为了保护SAM数据库的安全，管理员可以使用这个工具将杂乱信息代码转移到软盘上，并注意为这个软盘制作多个备份，放置到一个非常安全的地方。如果这个软盘丢失或损坏，就无法重新启动服务器了，因为再没有其它办法可以对用户账户和口令数据库进行解密。</p>
<p>　　另外，我们还应该对SAM数据库添加口令复杂性的要求，这是通过启动“本地安全策略”工具并启用其中的“密码必须符合复杂性要求”来完成的：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjM5MjMuanBn.jpg"></p>
<p>　　<strong>5、确定Web站点的口令访问策略 <br /></strong><br />　　访问Web 站点的不同内容可能需要不同的口令，考虑到相应的行为并设计好对策将极大地减少许多安全隐患。例如：服务器是只作为公共信息站点使用吗？它允许不同权限的用户访问受保护的数据吗？站点要求用户向其提交数据吗？......通常，我们可以对所有的Internet服务器都执行相同的基本安全配置，然后再根据具体服务类型，进一步做出特殊安全设置。比如：如果服务器只是为公司提供一个Web上的存在，那最好就只允许匿名访问，这样就避免了服务器与客户之间的口令传递，并降低了攻击者探测服务器口令的可能性。</p>
<p><strong>　　6、消除空连接安全漏洞 <br /></strong><br />　　在Win2K中存在一种可能性：攻击者可以使用一个所谓的空帐号登录到系统、建立一个空对话，从而获取服务器上用户和组帐号情况列表以及服务器上的所有共享资源列表。呵呵，空手套帐号啊！让这个“空手”真正落空的方法是修改注册表相关项目，方法分别是：</p>
<p>　　<strong>禁止空连接获取帐号信息：</strong>修改的键值及取值是</p>
<p>HKEY_LOCAL_MACHINE\System\CurrentControlSet\Control\LSA，REG_DWORD，1</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjM2ODEuanBn.jpg"></p>
<p>　　注意：有些服务可能要使用空连接在网络上完成与其它服务器和系统通信的任务，所以如果修改注册表后发现这些服务工作不正常了，那就再修改回来吧。摸着石头过河吗！</p>
<p>　　<strong>禁止空连接获取共享资源：</strong>修改的键值及取值是</p>
<p>HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\LanManServer\Parameters\RestrictNullSessAccess，REG_DWORD，1</p>
<p>　　当这个值设置为1时，空连接用户将不能访问任何共享；如果设置为0，那么空连接用户就可以连接到所有对Everyone组共享的程序或打印机上。</p>
<p>　　<strong>注意：</strong>修改这个键值可能会影响空连接对Named Pipes（名字管道）的访问。Named Pipes就是一个系统上的程序与另一个不同系统上的程序通讯的功能。在Win2K中设置了许多named pipes，例如Winreg以IPC机制允许在一个客户机器上运行Regedit并访问远程服务器的注册表文件，Netlogon通过一个named pipe使用RPC连接来进行登录认证，SMB （Server Message Blocks）使用named pipes进行网络上服务器之间的通讯。注册表中有关于空连接可以使用的named pipes列表，键值如下：</p>
<p>　　HKEY_LOCAL_MACHINE\System\CurrentControlSet\Services\LanManServer\Parameters\NullSessionPipes</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjM4NDkuanBn.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MjE0MjQ0MjMuanBn.jpg"></p>
<p>　　我们可以根据需要对以上列表中的字符串进行去除，但同样请注意：如果发现有些服务工作不正常，请再修改回来。</p>
<p><strong>　　7、去除对其他操作系统的支持 <br /></strong><br />　　Win2K可以很好地支持其他操作系统，允许例如OS/2和POSIX的应用程序向服务器发送请求以执行代码。这种功能通常叫做Win2K的子系统。Win2K的子系统一般情况下不会用到，但却是一个很大的安全漏洞，应该采取措施堵住它。关闭这个漏洞的最简单方法是去掉这个子系统，使它们无法使用。放心，这不会给Win2K服务器或IIS带来任何问题，因为它们是在Win32子系统中运行的。</p>
<p>　　禁止OS/2和POSIX要通过删除相关文件和改写相关注册表键值来完成，步骤如下：</p>
<p>　　删除“\%systemroot%\system32\os2”文件夹及其中所有内容。</p>
<p>　　删除“\HKLM\Software\Microsoft\OS/2 Subsystem for NT”下面所有的子键。</p>
<p>　　删除“\HKLM\System\CurrentControlSet\Control\Session Manager\Environment”中的值Os2LibPath。</p>
<p>　　清除“\HKLM\System\CurrentControlSet\Control\Session Manager\Subsystems”中Optional的内容，但是保留值Optional的名字。</p>
<p>　　删除“\HKLM\System\CurrentControlSet\Control\Session Manager\SubSystems ”中的值Os/2 和Posix。</p>
<p>　　重新启动。</p>
<p><strong>　　8、合理调整页面文件的设置</strong></p>
<p>　　需要处理的另一个问题是页面文件（page file）在系统上的存放位置。当应用程序或系统程序需要访问物理RAM时，Win2K使用页面文件作为应用程序代码的临时保存区。因此，硬盘驱动器上必须有足够的空间供页面文件使用，否则就会导致系统崩溃。避免出现这种情况的方法有：</p>
<p>　　在系统上尽可能多安装RAM。可用的物理RAM越多，系统运行的效率越高。</p>
<p>　　将所有的操作系统文件放置在自己的分区。这个分区中应该只包含操作系统文件和一个至少相当于物理RAM大小的页面文件。当系统遭遇一个STOP错误时，这个页面文件允许系统创建一个crashdump文件。</p>
<p>　　至少在另外一个分区上创建一个页面文件，其大小大约为物理RAM + 11 MB。如果可能的话，将这个页面文件放置在一个单独的物理驱动器上，这样系统执行I/O操作就更加有效。 </p>
<p>　　配置系统服务和生成日志文件及扩展数据的应用程序，使它们写入的文件不在操作系统所在的驱动器上。</p>
<p><strong>　　四、结 语 <br /></strong><br />　　以上详细论述了使用Win2K和IIS5构建安全Internet网站的Win2K操作系统安全配置指南部分，如果是严格按照这些步骤装扮了Win2K，就可以说基本上做到了从“地面部分”全力堵截入侵者的攻击。要做到从“空中部分”拦截入侵，请看“Win2K Internet服务器安全构建指南(IIS篇)”。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-23 16:51:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Windows 2000系统 IIS安全构建指南的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYk98Zz.html" rel="bookmark">教你八招保护Windows 2000系统安全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.aliyun.com/zixun/aggregation/11208.html&quot;&gt;Microsoft Windows 2000(微软视窗操作系统2000,简称Win2K),是由微软公司发行于1999年底的Windows NT系列的32位视窗操作系统.起初称为Windows NT 5.0.英文版于1999年12月19日上市,中文版于次年春上市.Windows 2000是一个可中断的.图形化的及面向商业环境的操作系统,为单一处理器或对称多处理器的32位Intel x86电			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL08BZp.html" rel="bookmark">Windows 2000服务器的安全配置指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;   首先介绍一下Windows 2000的由来.Windows 2000,原名Windows NT 5. 0,是微软公司产品研发投入最大的一个产品之一.它结合了Windows 98和Windows NT 4.0的很多优良的功能/性能与一身,这也是我们给它改名的一个原因.她是Windows家族的一个新的延伸,超越了Windows NT的原来含义. 微软公司有很多软件产			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDwrLp.html" rel="bookmark">windows 2000服务器IIS开启父路径的步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&quot;开启父路径&quot;是在Windows 2003开始有这个概念的,之前的windows xp,windows 2000自带的iis是没有&quot;Windows 2003&quot;这个说法的.Windows 2003自带的IIS6.0安装后默认设置是不开启父路径的. &quot;开启父路径&quot;主要作用: &quot;启用父路径&quot;,ASP页面中如果使用到了include file=../header.asp 这样的代码,此项必须选上&quot;启用父路径&quot;,..			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6KvVz.html" rel="bookmark">配置Windows 2000系统的磁盘配额</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Windows 2000 Server为服务器操作系统的计算机网络中,系统管理员有一项很重要的任务,即为访问服务器资源的客户机设置磁盘配额,也就是限制他们一次性访问服务器资源的卷空间数量.这样做的目的在于防止某个客户机过量地占用服务器和网络资源,导致其他客户机无法访问服务器和使用网络.本文将就配置服务器磁盘配额方面的相关内容进行介绍. 系统管理员如何对磁盘配额进行配置 磁盘配额对于普通的Windows 2000用户不太重要,不过对于整个网络的系统管理员来说,此项操作却是至为重要的.因为一旦网络			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRKqqz.html" rel="bookmark">如何更改Windows 2000系统收藏夹的位置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				用自己的机器上网的人都有长长的收藏夹,为了这些网站不在重装机器后丢失,在重装前往往要备份,新装好系统就修改注册表可以使你一劳永逸.有的朋友介绍过的方法只能用于win98 和Winme ,win2000却要用下面的方法: 1.点击&quot;开始&quot;-&gt;&quot;运行&quot;,输入&quot;regedit&quot;后确定. 2.在出现的注册表编辑器里选择:&quot;HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPBe0z.html" rel="bookmark">Windows 2000系统如何不被Ping</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Win2000中如何关闭ICMP(Ping) ICMP的全名是Internet Control and Message Protocal即因特网控制消息/错误报文协议,这个协议主要是用来进行错误信息和控制信息的传递,例如著名的Ping和Tracert工具都是利用ICMP协议中的ECHO request报文进行的(请求报文ICMP ECHO类型8代码0,应答报文ICMP ECHOREPLY类型0代码0). ICMP协议有一个特点---它是无连结的,也就是说只要发送端完成ICMP报文的封装并传递给			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPYk7M.html" rel="bookmark">Windows 2000系统关机技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				电脑关机是一件简单的事情,是我们学习电脑的最基本的一课,虽说简单,但我们若用好了,那关机就变得更惬意了,特别是现在的Win2000,关机有了更多选择.倘若学会其中技巧,别人会把你看成电脑高手,最起码也能在初学者面前炫耀一番吧. 在Win2000里可以一键关机,可以快速休眠.如果你启动Win2000要用一分多钟,而且总是埋怨启动太慢的话,你可以试试Win2000的休眠功能,它能使你快速进入工作状态.怎么才能做到这些呢?跟着我来吧! 让我们进入&quot;控制面板&quot;/&quot;电源&quot;选项			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9vyEKp.html" rel="bookmark">windows 2000 系统怎么才可以安装&period;net framework 3&period;5</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我的系统是用vs2008开发的现在很多用户的电脑是windows2000,windows2000好像不能安装.netframework3.5请问有其它办法吗? 解决方案 解决方案二:没有办法.安装mono.虚拟机或者对.netframework做hack或许可行,但是这些方法你都不应该用于生产环境.解决方案三:其实放弃一部分.net3.5特性,.net3.5程序也可以直接在.net2.0上运行.你需要避免使用C#3带来的自动属性.Lambda表达式.Linq,避免引用.net3.0的库			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qba0D2z.html" rel="bookmark">八招秘籍保证Windows 2000安全</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Windows 2000系统的使用者特别多,导致在受攻击的系统中高居榜首,但这不是说Windows 2000的安全性一点儿不好,只要合理配置和管理有方,还是比较安全的.本人使用Windows 2000的时间也不算短了,对于维护它的安全,也渐渐摸出了一点儿门路,下面是一点儿个人见解,不足之处,还请各位指正. 安全安装尽量减少后顾之忧 Windows 2000系统的安全应该是从安装时就一点一滴积累起来的,但这往往被人忽视.下面几点是在安装Windows 2000时需要注意的: 1.不要选择从网络上安			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba7eJp.html" rel="bookmark" class="title">nginx&plus;fastdfs报错conf file must have item</a>
					<div>
						问题描述 nginx+fastdfs报错conf file must have item fastdfs安装配置没问题,使用fastdfs_test测试也能上传,但是安装完nginx及其module后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy2x4p.html" rel="bookmark" class="title">document&period;all与WEB标准</a>
					<div>
						web|web标准 1.DOM WEB标准现在可真是热门中热门,不过下面讨论的是一个不符合标准的document.all[].DOM--DOCUMENT OBJECT MODEL文档对象模型,提供了访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ8QOM.html" rel="bookmark" class="title">提高百度排名实战经验与降权分析</a>
					<div>
						最近很多站长说网站被降权了,是的,确实是这样,最近11月.12月百度进行了全面的调整,至于怎么调整的,很多站长有不同的推断,但有调整这是肯定的,但是如何在调整后也能顺利的获得好的排名,这应该是大家该考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq6nep.html" rel="bookmark" class="title">把windows 2003的远程桌面改成单用户模式</a>
					<div>
						把2003的远程桌面改成XP那样,只要有人远程登陆,本地2003将自动锁定. 1.远程桌面5.x,Windows XP SP2的远程桌面,使用mstsc.exe /console 2.远程桌面6.x, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlWkmb.html" rel="bookmark" class="title">重新审视Windows XP的20&percnt;保留带宽</a>
					<div>
						由于Windows XP或2003有20%的&quot;保留带宽&quot;,有这样一个推论:去掉后速度提升20%,xp在带宽上做了手脚.这些说法在网上广为流行,然而你费时费力去掉这个限制后,却发现速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91qD4M.html" rel="bookmark" class="title">UVa 10879 Code Refactoring：因数分解</a>
					<div>
						10879 - Code Refactoring Time limit: 3.000 seconds http://uva.onlinejudge.org/index.php?option=com_o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBY5lb.html" rel="bookmark" class="title">jQuery实现企业网站横幅焦点图切换功能实例</a>
					<div>
						  这篇文章主要介绍了jQuery实现企业网站横幅焦点图切换功能,实例分析了jQuery企业网站焦点图的详细实现方法,非常简单实用,需要的朋友可以参考下 本文实例讲述了jQuery实现企业网站横幅焦点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOyJBb.html" rel="bookmark" class="title">Alienware 13配置怎么样值得买吗</a>
					<div>
						  戴尔日前发布的新版Alienware 13就是一个例子,它号称是世界首款13英寸VR-ready笔记本. Alienware 13的起始价格并不算高--至少是对于该品牌而言--不过1200美元(约 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGmqab.html" rel="bookmark" class="title">Win7系统文件夹怎么加密？</a>
					<div>
						  相信使用过Win7的朋友都会遇上这样一个问题:有些情况下,不想让自己的东西给别人看到,总想让自己的一些&quot;私隐&quot;给藏起来.这时,总会想一到用隐藏的方法,但隐藏真的可靠吗?小编可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z02Vb.html" rel="bookmark" class="title">Xmind思维导图制作软件怎么样？</a>
					<div>
						  XMind 是一款国产的思维导图制作软件(尽管它的网站没有提供中文服务),但是在国际上也有一定的名气了.作为一款开源软件,获得过sourceforge社区2009最佳学术奖.而且,XMind 还可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8mmGb.html" rel="bookmark" class="title">Windows XP用户配置文件丢失或损坏后的恢复方法</a>
					<div>
						一.错误现象: 当用户登录时,输入密码后弹出如下的错误信息: &quot;windows不能加载本地存储的配置文件.此问题的可能原因是安全权限不足或者是本地配置文件损坏. 如果此问题持续存在,请与管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32NO3z.html" rel="bookmark" class="title">springmvc&plus;mybatis整合</a>
					<div>
						问题描述 springmvc+mybatis整合 spring-servlet.xml &lt;beans:bean id=&quot;myDataSource&quot; class=&quot;o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEaLxz.html" rel="bookmark" class="title">java swing制作右键菜单</a>
					<div>
						java swing中如何实现右键菜单呢? 直接上代码: /*** java * 设置弹出菜单 * @param qrResultLabel */ private void setPopupMenu( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32vjgz.html" rel="bookmark" class="title">ASM 翻译系列第三十二弹：自制数据抽取小工具</a>
					<div>
						Find block in ASM 在本系列文章[ Where is my data]中,我已经演示了如何从ASM磁盘中定位和抽取一个Oracle的block,为了让这件事做起来不那么复杂,我又写了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAEaeM.html" rel="bookmark" class="title">大型分布式网站术语分析</a>
					<div>
						1. I/O优化 增加缓存,减少磁盘的访问次数. 优化磁盘的管理系统,设计最优的磁盘方式策略,以及磁盘的寻址策略,这是在底层操作系统层面考虑的. 设计合理的磁盘存储数据块,以及访问这些数据库的策略,这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RY1nz.html" rel="bookmark" class="title">IBM 将开源商业软件移至云端</a>
					<div>
						IBM 建立了一个新的代码库,旨在促进企业开源软件的合作开发 -- 这也可能吹鼓起人们对 IBM 的 Bluemix 平台服务的兴趣. IBM 建立了 DeveloperWorks Open 这个网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd0VPb.html" rel="bookmark" class="title">m24lr16-如何通过代码关闭和开启NFC</a>
					<div>
						问题描述 如何通过代码关闭和开启NFC 原因是这样的,我用手机通过NFC往芯片(ST的M24LR16)内存写第一个块后,单片机会对内存所有块进行擦除和填写新的数据,然后我再读出芯片内存的所有数据,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGENAlM.html" rel="bookmark" class="title">Proguard 部分类不混淆的技巧</a>
					<div>
						一.场景 两年前在 Proguard 语法及常用 proguard.cfg 代码 中介绍过一些 Proguard 的基础知识,其中提到一些类不能混淆,比如实现了 Serializable 接口的,否则 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R46Jz.html" rel="bookmark" class="title">玩深度学习选哪块英伟达 GPU？有性价比排名还不够！</a>
					<div>
						与&quot;传统&quot; AI 算法相比,深度学习(DL)的计算性能要求,可以说完全在另一个量级上. 而 GPU 的选择,会在根本上决定你的深度学习体验.那么,对于一名 DL 开发者,应该怎么选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK8a8b.html" rel="bookmark" class="title">国内研究院基本都犯有同样的错误</a>
					<div>
						自主创新的载体--研究院雨后春笋般地在近几年出现.从1999年联想设立研究院开始,春兰.浪潮.用友.东软等都不甘落后.但遗憾的是,由于眼界.发展阶段等种种原因,国内研究院基本都犯有同样的错误. 摆设- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLmq8M.html" rel="bookmark" class="title">《iOS取证实战：调查、分析与移动安全》一3&period;6　iPhone操作系统</a>
					<div>
						3.6 iPhone操作系统 iOS是专门为iPhone开发的操作系统,但现在它也用在其他的Apple设备上,包括iPad.iPod Touch和Apple TV.尽管iOS是专门为移动设备而开发的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0mEmM.html" rel="bookmark" class="title">多线程并发之java内存模型JMM</a>
					<div>
						多线程概念的引入是人类又一次有效压寨计算机的体现,而且这也是非常有必要的,因为一般运算过程中涉及到数据的读取,例如从磁盘.其他系统.数据库等,CPU的运算速度与数据读取速度有一个严重的不平衡,期间如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJayEp.html" rel="bookmark" class="title">蓝牙4&period;0发送命令，设备端无反应</a>
					<div>
						问题描述 蓝牙4.0发送命令,设备端无反应 被BLE的多连接快搞死了,出现好多令人抓狂的问题 1.现在这个项目需求是要同时连接6个led蓝牙灯,连接是可以连接上,但是操作命令的时候就让人抓狂了,同时给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBPv6z.html" rel="bookmark" class="title">SpringBoot热部署</a>
					<div>
						在SpringBoot中启用热部署是非常简单的一件事,因为SpringBoot为我们提供了一个非常方便的工具spring-boot-devtools,我们只需要把这个工具引入到工程里就OK了,下面我就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZaEnp.html" rel="bookmark" class="title">兰州新区智慧城市将建物流等六大园区</a>
					<div>
						近日,从甘肃公共资源中心了解到,兰州新区智慧城市将建占地100平方公里,行政文化中心园区.职教园区.区域中心服务园区.高新技术产业园区.装备制造产业园区.物流园区等六大园区. 兰州新区智慧城市位于产业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnZgdM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;隐身猫&rdquo;病毒传播量剧增</a>
					<div>
						本报讯 360安全中心近日发布橙色木马疫情公告称,一款名为&quot;隐身猫&quot;的高危远程控制类木马在春节期间传播量剧增.专家石晓虹博士建议广大网民,尽快对电脑进行全盘扫描,以免账号信息和个人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAklKAz.html" rel="bookmark" class="title">Javascript的匿名函数讲解&lowbar;经验交流</a>
					<div>
						一.什么是匿名函数? 在Javascript定义一个函数一般有如下三种方式: 函数关键字(function)语句: 复制代码 代码如下: function fnMethodName(x){alert( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0r2Vp.html" rel="bookmark" class="title">JavaScript获得选中文本内容的方法&lowbar;javascript技巧</a>
					<div>
						有如下实现方法: 在Firefox, Google Chrome, Safari, Opera中:可以用 window.getSelection() (参考MDC) 在IE下,可以用 document ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE36mp.html" rel="bookmark" class="title">一款php目录无限级创建代码</a>
					<div>
						*/ function makedirectory($directoryname) {        $directoryname = str_replace(&quot;&quot;,&quot;/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvwdPM.html" rel="bookmark" class="title">用JavaScript显示随机图像或引用&lowbar;图象特效</a>
					<div>
						使用这一脚本的第一步是选择下面的文本中的代码,并将其复制到rand.js的文件夹.  复制代码 代码如下: var mess = new Array('code0','code1','code2'); ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
